scala.collection.immutable.NumericRange

# Exclusive

#### class Exclusive[T] extends NumericRange[T]

Source
  NumericRange.scala

Linear Supertypes
NumericRange[T], Serializable, java.io.Serializable, IndexedSeq[T], collection.IndexedSeq[T], IndexedSeqLike[T, IndexedSeq[T]], Seq[T], Iterable[T], Traversable[T], Immutable, AbstractSeq[T], collection.Seq[T], SeqLike[T, IndexedSeq[T]], GenSeq[T], GenSeqLike[T, IndexedSeq[T]], PartialFunction[Int, T], (Int) ⇒ T, AbstractIterable[T], collection.Iterable[T], IterableLike[T, IndexedSeq[T]], Equals, GenIterable[T], GenIterableLike[T, IndexedSeq[T]], AbstractTraversable[T], collection.Traversable[T], GenTraversable[T], GenericTraversableTemplate[T, IndexedSeq], TraversableLike[T, IndexedSeq[T]], GenTraversableLike[T, IndexedSeq[T]], Parallelizable[T, ParSeq[T]], TraversableOnce[T], GenTraversableOnce[T], FilterMonadic[T, IndexedSeq[T]], HasNewBuilder[T, scala.collection.immutable.IndexedSeq[T] @scala.annotation.unchecked.uncheckedVariance], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Exclusive
2. NumericRange
3. Serializable
4. Serializable
5. IndexedSeq
6. IndexedSeq
7. IndexedSeqLike
8. Seq
9. Iterable
10. Traversable
11. Immutable
12. AbstractSeq
13. Seq
14. SeqLike
15. GenSeq
16. GenSeqLike
17. PartialFunction
18. Function1
19. AbstractIterable
20. Iterable
21. IterableLike
22. Equals
23. GenIterable
24. GenIterableLike
25. AbstractTraversable
26. Traversable
27. GenTraversable
28. GenericTraversableTemplate
29. TraversableLike
30. GenTraversableLike
31. Parallelizable
32. TraversableOnce
33. GenTraversableOnce
34. FilterMonadic
35. HasNewBuilder
36. AnyRef
37. Any

Implicitly

1. by seqToCharSequence
2. by traversable2ops
3. by MonadOps
4. by any2stringadd
5. by any2stringfmt
6. by any2ArrowAssoc
7. by any2Ensuring
8. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Exclusive(start: T, end: T, step: T)(implicit num: Integral[T])

### Type Members

1. #### class Elements extends AbstractIterator[A] with BufferedIterator[A] with Serializable

   The class of the iterator returned by the `iterator` method.

2. #### type Self = IndexedSeq[T]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

3. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Exclusive[T] to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ++[B](that: GenTraversableOnce[B]): NumericRange[B]

   [use case] Returns a new numeric range containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new numeric range containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the numeric range is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new numeric range which contains all elements of this numeric range followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: T, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

6. #### def ++:[B >: T, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this numeric range followed by all elements of `that`.

   Definition Classes
     TraversableLike

7. #### def ++:[B](that: TraversableOnce[B]): NumericRange[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new numeric range which contains all elements of this numeric range followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: T, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

8. #### def +:(elem: A): NumericRange[A]

   [use case] A copy of the numeric range with an element prepended.

   [use case]

   A copy of the numeric range with an element prepended.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Also, the original numeric range is not modified, so you will want to capture the result.

   Example:

       scala> val x = LinkedList(1)
       x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val y = 2 +: x
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

       scala> println(x)
       LinkedList(1)

   elem

     the prepended element

   returns

     a new numeric range consisting of `elem` followed by all elements of this numeric range.

   Definition Classes
     SeqLike → GenSeqLike
   Full Signature

   #### def +:[B >: T, That](elem: B)(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

9. #### def ->[B](y: B): (Exclusive[T], B)

   Implicit information
     This member is added by an implicit conversion from Exclusive[T] to ArrowAssoc[Exclusive[T]] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

10. #### def /:[B](z: B)(op: (B, T) ⇒ B): B

    Applies a binary operator to a start value and all elements of this numeric range, going left to right.

    Applies a binary operator to a start value and all elements of this numeric range, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this numeric range, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this numeric range.

    Definition Classes
      TraversableOnce → GenTraversableOnce

11. #### def :+(elem: A): NumericRange[A]

    [use case] A copy of this numeric range with an element appended.

    [use case]

    A copy of this numeric range with an element appended.

    A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

    Example:

        scala> import scala.collection.mutable.LinkedList
        import scala.collection.mutable.LinkedList

        scala> val a = LinkedList(1)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

        scala> val b = a :+ 2
        b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> println(a)
        LinkedList(1)

    elem

      the appended element

    returns

      a new numeric range consisting of all elements of this numeric range followed by `elem`.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def :+[B >: T, That](elem: B)(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

12. #### def :\[B](z: B)(op: (T, B) ⇒ B): B

    Applies a binary operator to all elements of this numeric range and a start value, going right to left.

    Applies a binary operator to all elements of this numeric range and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this numeric range, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this numeric range.

    Definition Classes
      TraversableOnce → GenTraversableOnce

13. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

15. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this numeric range to a string builder.

    Appends all elements of this numeric range to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this numeric range without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

16. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this numeric range to a string builder using a separator string.

    Appends all elements of this numeric range to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this numeric range, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

17. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this numeric range to a string builder using start, end, and separator strings.

    Appends all elements of this numeric range to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this numeric range are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

18. #### def aggregate[B](z: B)(seqop: (B, T) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

19. #### def andThen[C](k: (T) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

20. #### def apply(idx: Int): T

    Selects an element by its index in the numeric range.

    Selects an element by its index in the numeric range.

    Example:

        scala> val x = LinkedList(1, 2, 3, 4, 5)
        x: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4, 5)

        scala> x(3)
        res1: Int = 4

    idx

      The index to select.

    returns

      the element of this numeric range at index `idx`, where `0` indicates the first element.

    Definition Classes
      NumericRange → SeqLike → GenSeqLike → Function1
    Exceptions thrown
      `IndexOutOfBoundsException`

      if `idx` does not satisfy `0 <= idx < length`.

21. #### def applyOrElse[A1 <: Int, B1 >: T](x: A1, default: (A1) ⇒ B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals compiler generates `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      PartialFunction
    Since

      2.10

22. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

23. #### def asParIterable: ParIterable[T]

    Implicit information
      This member is added by an implicit conversion from Exclusive[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

24. #### def asParSeq: ParSeq[T]

    Implicit information
      This member is added by an implicit conversion from Exclusive[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

25. #### def by(newStep: T): NumericRange[T]

    Create a new range with the start and end values of this range and a new `step`.

    Create a new range with the start and end values of this range and a new `step`.

    Definition Classes
      NumericRange

26. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this numeric range should be compared

    returns

      `true`, if this numeric range can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

27. #### def charAt(arg0: Int): Char

    Implicit information
      This member is added by an implicit conversion from Exclusive[T] to CharSequence performed by method seqToCharSequence in scala.Predef. This conversion will take place only if T is a subclass of Char (T <: Char).
    Definition Classes
      CharSequence

28. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

29. #### def collect[B](pf: PartialFunction[A, B]): NumericRange[B]

    [use case] Builds a new collection by applying a partial function to all elements of this numeric range on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this numeric range on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the numeric range.

    returns

      a new numeric range resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[T, B])(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

30. #### def collectFirst[B](pf: PartialFunction[T, B]): Option[B]

    Finds the first element of the numeric range for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the numeric range for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

31. #### def combinations(n: Int): Iterator[IndexedSeq[T]]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this numeric range.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

32. #### def companion: GenericCompanion[IndexedSeq]

    The factory companion object that builds instances of class `NumericRange`.

    The factory companion object that builds instances of class `NumericRange`. (or its `Iterable` superclass where class `NumericRange` is not a `Seq`.)

    Definition Classes
      IndexedSeq → IndexedSeq → Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

33. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ T

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

34. #### def contains(x: Any): Boolean

    Tests whether this numeric range contains a given value as an element.

    Tests whether this numeric range contains a given value as an element.

    returns

      `true` if this numeric range has an element that is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      NumericRange → SeqLike

35. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this numeric range contains a given sequence as a slice.

    Tests whether this numeric range contains a given sequence as a slice.

    that

      the sequence to test

    returns

      `true` if this numeric range contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

36. #### def containsTyped(x: T): Boolean

    Definition Classes
      NumericRange

37. #### def copy(start: T, end: T, step: T): Exclusive[T]

    Create a copy of this range.

    Create a copy of this range.

    Definition Classes
      Exclusive → NumericRange

38. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this numeric range to an array.

    [use case]

    Copies elements of this numeric range to an array. Fills the given array `xs` with at most `len` elements of this numeric range, starting at position `start`. Copying will stop once either the end of the current numeric range is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: T](xs: Array[B], start: Int, len: Int): Unit

39. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this numeric range to an array.

    [use case]

    Copies values of this numeric range to an array. Fills the given array `xs` with values of this numeric range. Copying will stop once either the end of the current numeric range is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: T](xs: Array[B]): Unit

40. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this numeric range to an array.

    [use case]

    Copies values of this numeric range to an array. Fills the given array `xs` with values of this numeric range, beginning at index `start`. Copying will stop once either the end of the current numeric range is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: T](xs: Array[B], start: Int): Unit

41. #### def copyToBuffer[B >: T](dest: Buffer[B]): Unit

    Copies all elements of this numeric range to a buffer.

    Copies all elements of this numeric range to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

42. #### def corresponds[B](that: GenSeq[B])(p: (T, B) ⇒ Boolean): Boolean

    Tests whether every element of this numeric range relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this numeric range relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this numeric range and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

43. #### def count(p: (T) ⇒ Boolean): Int

    Counts the number of elements in the numeric range which satisfy a predicate.

    Counts the number of elements in the numeric range which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

44. #### def diff(that: collection.Seq[T]): NumericRange[T]

    [use case] Computes the multiset difference between this numeric range and another sequence.

    [use case]

    Computes the multiset difference between this numeric range and another sequence.

    that

      the sequence of elements to remove

    returns

      a new numeric range which contains all elements of this numeric range except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def diff[B >: T](that: GenSeq[B]): IndexedSeq[T]

45. #### def distinct: IndexedSeq[T]

    Builds a new numeric range from this numeric range without any duplicate elements.

    Builds a new numeric range from this numeric range without any duplicate elements.

    returns

      A new numeric range which contains the first occurrence of every element of this numeric range.

    Definition Classes
      SeqLike → GenSeqLike

46. #### final def drop(n: Int): NumericRange[T]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this numeric range.

    returns

      a numeric range consisting of all elements of this numeric range except the first `n` ones, or else the empty numeric range, if this numeric range has less than `n` elements.

    Definition Classes
      NumericRange → IterableLike → TraversableLike → GenTraversableLike

47. #### def dropRight(n: Int): IndexedSeq[T]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a numeric range consisting of all elements of this numeric range except the last `n` ones, or else the empty numeric range, if this numeric range has less than `n` elements.

    Definition Classes
      IterableLike

48. #### def dropWhile(p: (T) ⇒ Boolean): IndexedSeq[T]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    returns

      the longest suffix of this numeric range whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

49. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this numeric range ends with the given sequence.

    Tests whether this numeric range ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this numeric range has `that` as a suffix, `false` otherwise.

    Definition Classes
      SeqLike → GenSeqLike

50. #### def ensuring(cond: (Exclusive[T]) ⇒ Boolean, msg: ⇒ Any): Exclusive[T]

    Implicit information
      This member is added by an implicit conversion from Exclusive[T] to Ensuring[Exclusive[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

51. #### def ensuring(cond: (Exclusive[T]) ⇒ Boolean): Exclusive[T]

    Implicit information
      This member is added by an implicit conversion from Exclusive[T] to Ensuring[Exclusive[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

52. #### def ensuring(cond: Boolean, msg: ⇒ Any): Exclusive[T]

    Implicit information
      This member is added by an implicit conversion from Exclusive[T] to Ensuring[Exclusive[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

53. #### def ensuring(cond: Boolean): Exclusive[T]

    Implicit information
      This member is added by an implicit conversion from Exclusive[T] to Ensuring[Exclusive[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

54. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

55. #### def equals(other: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      NumericRange → GenSeqLike → Equals → AnyRef → Any

56. #### def exists(p: (T) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this numeric range.

    Tests whether a predicate holds for some of the elements of this numeric range.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this numeric range, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

57. #### def filter(p: (T) ⇒ Boolean): IndexedSeq[T]

    Selects all elements of this numeric range which satisfy a predicate.

    Selects all elements of this numeric range which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new numeric range consisting of all elements of this numeric range that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

58. #### def filterNot(p: (T) ⇒ Boolean): IndexedSeq[T]

    Selects all elements of this numeric range which do not satisfy a predicate.

    Selects all elements of this numeric range which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new numeric range consisting of all elements of this numeric range that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

59. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

60. #### def find(p: (T) ⇒ Boolean): Option[T]

    Finds the first element of the numeric range satisfying a predicate, if any.

    Finds the first element of the numeric range satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the numeric range that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

61. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): NumericRange[B]

    [use case] Builds a new collection by applying a function to all elements of this numeric range and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this numeric range and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of numeric range. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new numeric range resulting from applying the given collection-valued function `f` to each element of this numeric range and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (T) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

62. #### def flatten[B]: NumericRange[B]

    [use case] Converts this numeric range of traversable collections into a numeric range formed by the elements of these traversable collections.

    [use case]

    Converts this numeric range of traversable collections into a numeric range formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of numeric range. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new numeric range resulting from concatenating all element numeric ranges.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (T) ⇒ GenTraversableOnce[B]): IndexedSeq[B]

63. #### def fold[A1 >: T](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this numeric range using the specified associative binary operator.

    Folds the elements of this numeric range using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

64. #### def foldLeft[B](z: B)(op: (B, T) ⇒ B): B

    Applies a binary operator to a start value and all elements of this numeric range, going left to right.

    Applies a binary operator to a start value and all elements of this numeric range, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this numeric range, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this numeric range.

    Definition Classes
      TraversableOnce → GenTraversableOnce

65. #### def foldRight[B](z: B)(op: (T, B) ⇒ B): B

    Applies a binary operator to all elements of this numeric range and a start value, going right to left.

    Applies a binary operator to all elements of this numeric range and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this numeric range, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this numeric range.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

66. #### def forall(p: (T) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this numeric range.

    Tests whether a predicate holds for all elements of this numeric range.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this numeric range, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

67. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this numeric range.

    [use case]

    Applies a function `f` to all elements of this numeric range.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      NumericRange → IterableLike → GenericTraversableTemplate → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (T) ⇒ U): Unit

68. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Exclusive[T] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

69. #### def genericBuilder[B]: Builder[B, IndexedSeq[B]]

    The generic builder that builds instances of `NumericRange` at arbitrary element types.

    The generic builder that builds instances of `NumericRange` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

70. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

71. #### def groupBy[K](f: (T) ⇒ K): Map[K, IndexedSeq[T]]

    Partitions this numeric range into a map of numeric ranges according to some discriminator function.

    Partitions this numeric range into a map of numeric ranges according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new numeric range.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to numeric ranges such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a numeric range of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

72. #### def grouped(size: Int): Iterator[IndexedSeq[T]]

    Partitions elements in fixed size numeric ranges.

    Partitions elements in fixed size numeric ranges.

    size

      the number of elements per group

    returns

      An iterator producing numeric ranges of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

73. #### def hasDefiniteSize: Boolean

    Tests whether this numeric range is known to have a finite size.

    Tests whether this numeric range is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

74. #### lazy val hashCode: Int

    Definition Classes
      NumericRange → IndexedSeqLike → GenSeqLike → AnyRef → Any

75. #### def head: T

    Selects the first element of this numeric range.

    Selects the first element of this numeric range.

    returns

      the first element of this numeric range.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the numeric range is empty.

76. #### def headOption: Option[T]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this numeric range if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

77. #### def ifParSeq[R](isbody: (ParSeq[T]) ⇒ R): Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from Exclusive[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

78. #### def inclusive: Inclusive[T]

79. #### def indexOf(elem: T, from: Int): Int

    [use case] Finds index of first occurrence of some value in this numeric range after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this numeric range after or at some start index.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this numeric range that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: T](elem: B, from: Int): Int

80. #### def indexOf(elem: T): Int

    [use case] Finds index of first occurrence of some value in this numeric range.

    [use case]

    Finds index of first occurrence of some value in this numeric range.

    elem

      the element value to search for.

    returns

      the index of the first element of this numeric range that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: T](elem: B): Int

81. #### def indexOfSlice[B >: T](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this numeric range contains a given sequence as a slice.

    Finds first index after or at a start index where this numeric range contains a given sequence as a slice.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this numeric range starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

82. #### def indexOfSlice[B >: T](that: GenSeq[B]): Int

    Finds first index where this numeric range contains a given sequence as a slice.

    Finds first index where this numeric range contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the first index such that the elements of this numeric range starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

83. #### def indexWhere(p: (T) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this numeric range that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      SeqLike → GenSeqLike

84. #### def indexWhere(p: (T) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this numeric range that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

85. #### def indices: Range

    Produces the range of all indices of this sequence.

    Produces the range of all indices of this sequence.

    returns

      a `Range` value from `0` to one less than the length of this numeric range.

    Definition Classes
      SeqLike

86. #### def init: IndexedSeq[T]

    Selects all elements except the last.

    Selects all elements except the last.

    returns

      a numeric range consisting of all elements of this numeric range except the last one.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the numeric range is empty.

87. #### def inits: Iterator[IndexedSeq[T]]

    Iterates over the inits of this numeric range.

    Iterates over the inits of this numeric range. The first value will be this numeric range and the final one will be an empty numeric range, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this numeric range

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

88. #### def intersect(that: collection.Seq[T]): NumericRange[T]

    [use case] Computes the multiset intersection between this numeric range and another sequence.

    [use case]

    Computes the multiset intersection between this numeric range and another sequence.

    that

      the sequence of elements to intersect with.

    returns

      a new numeric range which contains all elements of this numeric range which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def intersect[B >: T](that: GenSeq[B]): IndexedSeq[T]

89. #### def isDefinedAt(idx: Int): Boolean

    Tests whether this numeric range contains given index.

    Tests whether this numeric range contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this numeric range contains an element at position `idx`, `false` otherwise.

    Definition Classes
      GenSeqLike

90. #### def isEmpty: Boolean

    Tests whether this numeric range is empty.

    Tests whether this numeric range is empty.

    returns

      `true` if the numeric range contain no elements, `false` otherwise.

    Definition Classes
      NumericRange → SeqLike → IterableLike → GenericTraversableTemplate → TraversableLike → TraversableOnce → GenTraversableOnce

91. #### val isInclusive: Boolean

    Definition Classes
      NumericRange

92. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

93. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from Exclusive[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

94. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from Exclusive[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

95. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from Exclusive[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

96. #### final def isTraversableAgain: Boolean

    Tests whether this numeric range can be repeatedly traversed.

    Tests whether this numeric range can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

97. #### def iterator: Iterator[T]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Definition Classes
      IndexedSeqLike → IterableLike → GenIterableLike

98. #### lazy val last: T

    Definition Classes
      NumericRange → TraversableLike → GenTraversableLike

99. #### def lastIndexOf(elem: T, end: Int): Int

    [use case] Finds index of last occurrence of some value in this numeric range before or at a given end index.

    [use case]

    Finds index of last occurrence of some value in this numeric range before or at a given end index.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this numeric range that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: T](elem: B, end: Int): Int

100. #### def lastIndexOf(elem: T): Int

     [use case] Finds index of last occurrence of some value in this numeric range.

     [use case]

     Finds index of last occurrence of some value in this numeric range.

     elem

       the element value to search for.

     returns

       the index of the last element of this numeric range that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike
     Full Signature

     #### def lastIndexOf[B >: T](elem: B): Int

101. #### def lastIndexOfSlice[B >: T](that: GenSeq[B], end: Int): Int

     Finds last index before or at a given end index where this numeric range contains a given sequence as a slice.

     Finds last index before or at a given end index where this numeric range contains a given sequence as a slice.

     that

       the sequence to test

     end

       the end index

     returns

       the last index `<= end` such that the elements of this numeric range starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

102. #### def lastIndexOfSlice[B >: T](that: GenSeq[B]): Int

     Finds last index where this numeric range contains a given sequence as a slice.

     Finds last index where this numeric range contains a given sequence as a slice.

     that

       the sequence to test

     returns

       the last index such that the elements of this numeric range starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

103. #### def lastIndexWhere(p: (T) ⇒ Boolean, end: Int): Int

     Finds index of last element satisfying some predicate before or at given end index.

     Finds index of last element satisfying some predicate before or at given end index.

     p

       the predicate used to test elements.

     returns

       the index `<= end` of the last element of this numeric range that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       SeqLike → GenSeqLike

104. #### def lastIndexWhere(p: (T) ⇒ Boolean): Int

     Finds index of last element satisfying some predicate.

     Finds index of last element satisfying some predicate.

     p

       the predicate used to test elements.

     returns

       the index of the last element of this numeric range that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

105. #### def lastOption: Option[T]

     Optionally selects the last element.

     Optionally selects the last element.

     returns

       the last element of this numeric range$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike → GenTraversableLike

106. #### def length: Int

     The length of the numeric range.

     The length of the numeric range.

     Note: `xs.length` and `xs.size` yield the same result.

     returns

       the number of elements in this numeric range.

     Definition Classes
       NumericRange → SeqLike → GenSeqLike

107. #### def lengthCompare(len: Int): Int

     Compares the length of this numeric range to a test value.

     Compares the length of this numeric range to a test value.

     len

       the test value that gets compared with the length.

     returns

       A value `x` where

           x <  0       if this.length <  len
           x == 0       if this.length == len
           x >  0       if this.length >  len

       The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

     Definition Classes
       SeqLike

108. #### def lift: (Int) ⇒ Option[T]

     Turns this partial function into an plain function returning an `Option` result.

     Turns this partial function into an plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

109. #### def map[B](f: (A) ⇒ B): NumericRange[B]

     [use case] Builds a new collection by applying a function to all elements of this numeric range.

     [use case]

     Builds a new collection by applying a function to all elements of this numeric range.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new numeric range resulting from applying the given function `f` to each element of this numeric range and collecting the results.

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

     #### def map[B, That](f: (T) ⇒ B)(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

110. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this numeric range.

     Definition Classes
       NumericRange → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def max[T1 >: T](implicit ord: Ordering[T1]): T

111. #### def maxBy[B](f: (T) ⇒ B)(implicit cmp: Ordering[B]): T

     Definition Classes
       TraversableOnce → GenTraversableOnce

112. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this numeric range

     Definition Classes
       NumericRange → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[T1 >: T](implicit ord: Ordering[T1]): T

113. #### def minBy[B](f: (T) ⇒ B)(implicit cmp: Ordering[B]): T

     Definition Classes
       TraversableOnce → GenTraversableOnce

114. #### def mkString: String

     Displays all elements of this numeric range in a string.

     Displays all elements of this numeric range in a string.

     returns

       a string representation of this numeric range. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this numeric range follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

115. #### def mkString(sep: String): String

     Displays all elements of this numeric range in a string using a separator string.

     Displays all elements of this numeric range in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this numeric range. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this numeric range are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

116. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this numeric range in a string using start, end, and separator strings.

     Displays all elements of this numeric range in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this numeric range. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this numeric range are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

117. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

118. #### def newBuilder: Builder[T, IndexedSeq[T]]

     The builder that builds instances of type `NumericRange`[A]

     The builder that builds instances of type `NumericRange`[A]

     Attributes
       protected[this]
     Definition Classes
       GenericTraversableTemplate → HasNewBuilder

119. #### def nonEmpty: Boolean

     Tests whether the numeric range is not empty.

     Tests whether the numeric range is not empty.

     returns

       `true` if the numeric range contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

120. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

121. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

122. #### def orElse[A1 <: Int, B1 >: T](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

123. #### def padTo(len: Int, elem: A): NumericRange[A]

     [use case] A copy of this numeric range with an element value appended until a given target length is reached.

     [use case]

     A copy of this numeric range with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new numeric range consisting of all elements of this numeric range followed by the minimal number of occurrences of `elem` so that the resulting numeric range has a length of at least `len`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def padTo[B >: T, That](len: Int, elem: B)(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

124. #### def par: ParSeq[T]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

125. #### def parCombiner: Combiner[T, ParSeq[T]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       Seq → SeqLike → Iterable → TraversableLike → Parallelizable

126. #### def partition(p: (T) ⇒ Boolean): (IndexedSeq[T], IndexedSeq[T])

     Partitions this numeric range in two numeric ranges according to a predicate.

     Partitions this numeric range in two numeric ranges according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of numeric ranges: the first numeric range consists of all elements that satisfy the predicate `p` and the second numeric range consists of all elements that don't. The relative order of the elements in the resulting numeric ranges is the same as in the original numeric range.

     Definition Classes
       TraversableLike → GenTraversableLike

127. #### def patch(from: Int, that: GenSeq[A], replaced: Int): NumericRange[A]

     [use case] Produces a new numeric range where a slice of elements in this numeric range is replaced by another sequence.

     [use case]

     Produces a new numeric range where a slice of elements in this numeric range is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original numeric range

     returns

       a new numeric range consisting of all elements of this numeric range except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def patch[B >: T, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

128. #### def permutations: Iterator[IndexedSeq[T]]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this numeric range.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

129. #### def prefixLength(p: (T) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this numeric range such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

130. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this numeric range of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the numeric range and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: T](implicit num: Numeric[B]): B

131. #### def reduce[A1 >: T](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this numeric range using the specified associative binary operator.

     Reduces the elements of this numeric range using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the numeric range is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this numeric range is empty.

132. #### def reduceLeft[B >: T](op: (B, T) ⇒ B): B

     Definition Classes
       TraversableOnce

133. #### def reduceLeftOption[B >: T](op: (B, T) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this numeric range, going left to right.

     Optionally applies a binary operator to all elements of this numeric range, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this numeric range is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

134. #### def reduceOption[A1 >: T](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this numeric range, if any, using the specified associative binary operator.

     Reduces the elements of this numeric range, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

135. #### def reduceRight[B >: T](op: (T, B) ⇒ B): B

     Applies a binary operator to all elements of this numeric range, going right to left.

     Applies a binary operator to all elements of this numeric range, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this numeric range, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this numeric range.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this numeric range is empty.

136. #### def reduceRightOption[B >: T](op: (T, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this numeric range, going right to left.

     Optionally applies a binary operator to all elements of this numeric range, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this numeric range is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

137. #### def repr: IndexedSeq[T]

     The collection of type numeric range underlying this `TraversableLike` object.

     The collection of type numeric range underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

138. #### def reverse: IndexedSeq[T]

     Returns new numeric range wih elements in reversed order.

     Returns new numeric range wih elements in reversed order.

     returns

       A new numeric range with all elements of this numeric range in reversed order.

     Definition Classes
       SeqLike → GenSeqLike

139. #### def reverseIterator: Iterator[T]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this numeric range in reversed order

     Definition Classes
       SeqLike

140. #### def reverseMap[B](f: (A) ⇒ B): NumericRange[B]

     [use case] Builds a new collection by applying a function to all elements of this numeric range and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this numeric range and collecting the results in reversed order.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new numeric range resulting from applying the given function `f` to each element of this numeric range and collecting the results in reversed order.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def reverseMap[B, That](f: (T) ⇒ B)(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

141. #### def reversed: scala.List[T]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

142. #### def runWith[U](action: (T) ⇒ U): (Int) ⇒ Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

143. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this numeric range.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this numeric range.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: T](that: GenIterable[B]): Boolean

144. #### def scan[B >: T, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[IndexedSeq[T], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new numeric range containing the prefix scan of the elements in this numeric range

     Definition Classes
       TraversableLike → GenTraversableLike

145. #### def scanLeft[B, That](z: B)(op: (B, T) ⇒ B)(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

146. #### def scanRight[B, That](z: B)(op: (T, B) ⇒ B)(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

147. #### def segmentLength(p: (T) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this numeric range starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       SeqLike → GenSeqLike

148. #### def seq: IndexedSeq[T]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       IndexedSeq → IndexedSeq → IndexedSeqLike → Seq → Seq → GenSeq → GenSeqLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

149. #### def size: Int

     The size of this numeric range, equivalent to `length`.

     The size of this numeric range, equivalent to `length`.

     returns

       the number of elements in this numeric range.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

150. #### def slice(from: Int, until: Int): IndexedSeq[T]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     returns

       a numeric range containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this numeric range.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

151. #### def sliding(size: Int, step: Int): Iterator[IndexedSeq[T]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing numeric ranges of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

152. #### def sliding(size: Int): Iterator[IndexedSeq[T]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing numeric ranges of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

153. #### def sortBy[B](f: (T) ⇒ B)(implicit ord: math.Ordering[B]): IndexedSeq[T]

     Sorts this `NumericRange` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this `NumericRange` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a numeric range consisting of the elements of this numeric range sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.     val words = "The quick brown fox jumped over the lazy dog".split(' ')
            // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
            words.sortBy(x => (x.length, x.head))
            res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

154. #### def sortWith(lt: (T, T) ⇒ Boolean): IndexedSeq[T]

     Sorts this numeric range according to a comparison function.

     Sorts this numeric range according to a comparison function.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a numeric range consisting of the elements of this numeric range sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.     List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
            List("Bob", "John", "Steve", "Tom")

155. #### def sorted[B >: T](implicit ord: math.Ordering[B]): IndexedSeq[T]

     Sorts this numeric range according to an Ordering.

     Sorts this numeric range according to an Ordering.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a numeric range consisting of the elements of this numeric range sorted according to the ordering `ord`.

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

156. #### def span(p: (T) ⇒ Boolean): (IndexedSeq[T], IndexedSeq[T])

     Splits this numeric range into a prefix/suffix pair according to a predicate.

     Splits this numeric range into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     returns

       a pair consisting of the longest prefix of this numeric range whose elements all satisfy `p`, and the rest of this numeric range.

     Definition Classes
       TraversableLike → GenTraversableLike

157. #### def splitAt(n: Int): (IndexedSeq[T], IndexedSeq[T])

     Splits this numeric range into two at a given position.

     Splits this numeric range into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of numeric ranges consisting of the first `n` elements of this numeric range, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

158. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this numeric range contains the given sequence at a given index.

     Tests whether this numeric range contains the given sequence at a given index.

     Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this numeric range at index `offset`, otherwise `false`.

     Definition Classes
       SeqLike → GenSeqLike

159. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this numeric range starts with the given sequence.

     Tests whether this numeric range starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

160. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this numeric range. By default the string prefix is the simple name of the collection class numeric range.

     Definition Classes
       TraversableLike → GenTraversableLike

161. #### def subSequence(arg0: Int, arg1: Int): CharSequence

     Implicit information
       This member is added by an implicit conversion from Exclusive[T] to CharSequence performed by method seqToCharSequence in scala.Predef. This conversion will take place only if T is a subclass of Char (T <: Char).
     Definition Classes
       CharSequence

162. #### final def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this numeric range of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the numeric range and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       NumericRange → TraversableOnce → GenTraversableOnce
     Full Signature

     #### final def sum[B >: T](implicit num: Numeric[B]): B

163. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

164. #### def tail: IndexedSeq[T]

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a numeric range consisting of all elements of this numeric range except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the numeric range is empty.

165. #### def tails: Iterator[IndexedSeq[T]]

     Iterates over the tails of this numeric range.

     Iterates over the tails of this numeric range. The first value will be this numeric range and the final one will be an empty numeric range, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this numeric range

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

166. #### final def take(n: Int): NumericRange[T]

     Selects first n elements.

     Selects first n elements.

     n

       the number of elements to take from this numeric range.

     returns

       a numeric range consisting only of the first `n` elements of this numeric range, or else the whole numeric range, if it has less than `n` elements.

     Definition Classes
       NumericRange → IterableLike → TraversableLike → GenTraversableLike

167. #### def takeRight(n: Int): IndexedSeq[T]

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a numeric range consisting only of the last `n` elements of this numeric range, or else the whole numeric range, if it has less than `n` elements.

     Definition Classes
       IterableLike

168. #### def takeWhile(p: (T) ⇒ Boolean): IndexedSeq[T]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     returns

       the longest prefix of this numeric range whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

169. #### def thisCollection: collection.IndexedSeq[T]

     The underlying collection seen as an instance of ``NumericRange``.

     The underlying collection seen as an instance of ``NumericRange``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike

170. #### def to[Col[_]]: Col[A]

     [use case] Converts this numeric range into another by copying all elements.

     [use case]

     Converts this numeric range into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this numeric range.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, T, Col[T]]): Col[T]

171. #### def toArray: Array[A]

     [use case] Converts this numeric range to an array.

     [use case]

     Converts this numeric range to an array.

     returns

       an array containing all elements of this numeric range. An `ClassTag` must be available for the element type of this numeric range.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: T](implicit arg0: ClassTag[B]): Array[B]

172. #### def toBuffer[A1 >: T]: Buffer[A1]

     Converts this numeric range to a mutable buffer.

     Converts this numeric range to a mutable buffer.

     returns

       a buffer containing all elements of this numeric range.

     Definition Classes
       IndexedSeqLike → TraversableOnce → GenTraversableOnce

173. #### def toCollection(repr: IndexedSeq[T]): collection.IndexedSeq[T]

     A conversion from collections of type `Repr` to ``NumericRange`` objects.

     A conversion from collections of type `Repr` to ``NumericRange`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike

174. #### def toIndexedSeq: IndexedSeq[T]

     Converts this numeric range to an indexed sequence.

     Converts this numeric range to an indexed sequence.

     returns

       an indexed sequence containing all elements of this numeric range.

     Definition Classes
       IndexedSeq → TraversableOnce → GenTraversableOnce

175. #### def toIterable: collection.Iterable[T]

     Converts this numeric range to an iterable collection.

     Converts this numeric range to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this numeric range.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

176. #### def toIterator: Iterator[T]

     Returns an Iterator over the elements in this numeric range.

     Returns an Iterator over the elements in this numeric range. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this numeric range.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

177. #### def toList: scala.List[T]

     Converts this numeric range to a list.

     Converts this numeric range to a list.

     returns

       a list containing all elements of this numeric range.

     Definition Classes
       TraversableOnce → GenTraversableOnce

178. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this numeric range to a map.

     [use case]

     Converts this numeric range to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this numeric range.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[T, (T, U)]): Map[T, U]

179. #### def toParArray: ParArray[T]

     Implicit information
       This member is added by an implicit conversion from Exclusive[T] to TraversableOps[T] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

180. #### def toSeq: Seq[T]

     Converts this numeric range to a sequence.

     Converts this numeric range to a sequence.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this numeric range.

     Definition Classes
       Seq → SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

181. #### def toSet[B >: T]: Set[B]

     Converts this numeric range to a set.

     Converts this numeric range to a set.

     returns

       a set containing all elements of this numeric range.

     Definition Classes
       TraversableOnce → GenTraversableOnce

182. #### def toStream: Stream[T]

     Converts this numeric range to a stream.

     Converts this numeric range to a stream.

     returns

       a stream containing all elements of this numeric range.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

183. #### def toString(): String

     Converts this numeric range to a string.

     Converts this numeric range to a string.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this numeric range, followed by all elements separated by commas and enclosed in parentheses.

     Definition Classes
       NumericRange → SeqLike → Function1 → TraversableLike → AnyRef → Any

184. #### def toTraversable: collection.Traversable[T]

     Converts this numeric range to an unspecified Traversable.

     Converts this numeric range to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this numeric range.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

185. #### def toVector: scala.Vector[T]

     Converts this numeric range to a Vector.

     Converts this numeric range to a Vector.

     returns

       a vector containing all elements of this numeric range.

     Definition Classes
       TraversableOnce → GenTraversableOnce

186. #### def transpose[B](implicit asTraversable: (T) ⇒ GenTraversableOnce[B]): IndexedSeq[IndexedSeq[B]]

     Transposes this numeric range of traversable collections into a numeric range of numeric ranges.

     Transposes this numeric range of traversable collections into a numeric range of numeric ranges.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this numeric range is a `Traversable`.

     returns

       a two-dimensional numeric range of numeric ranges which has as nth row the nth column of this numeric range.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this numeric range are not of the same size.

187. #### def union(that: collection.Seq[T]): NumericRange[T]

     [use case] Produces a new sequence which contains all elements of this numeric range and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this numeric range and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     that

       the sequence to add.

     returns

       a new numeric range which contains all elements of this numeric range followed by all elements of `that`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def union[B >: T, That](that: GenSeq[B])(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

188. #### def unzip[A1, A2](implicit asPair: (T) ⇒ (A1, A2)): (IndexedSeq[A1], IndexedSeq[A2])

     Converts this numeric range of pairs into two collections of the first and second half of each pair.

     Converts this numeric range of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this numeric range is a pair.

     returns

       a pair numeric ranges, containing the first, respectively second half of each element pair of this numeric range.

     Definition Classes
       GenericTraversableTemplate

189. #### def unzip3[A1, A2, A3](implicit asTriple: (T) ⇒ (A1, A2, A3)): (IndexedSeq[A1], IndexedSeq[A2], IndexedSeq[A3])

     Converts this numeric range of triples into three collections of the first, second, and third element of each triple.

     Converts this numeric range of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this numeric range is a triple.

     returns

       a triple numeric ranges, containing the first, second, respectively third member of each element triple of this numeric range.

     Definition Classes
       GenericTraversableTemplate

190. #### def updated(index: Int, elem: A): NumericRange[A]

     [use case] A copy of this numeric range with one single replaced element.

     [use case]

     A copy of this numeric range with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a copy of this numeric range with the element at position `index` replaced by `elem`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def updated[B >: T, That](index: Int, elem: B)(implicit bf: CanBuildFrom[IndexedSeq[T], B, That]): That

191. #### def view(from: Int, until: Int): SeqView[T, IndexedSeq[T]]

     Creates a non-strict view of a slice of this numeric range.

     Creates a non-strict view of a slice of this numeric range.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current numeric range, whereas `slice` produces a new numeric range.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this numeric range, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

192. #### def view: SeqView[T, IndexedSeq[T]]

     Creates a non-strict view of this numeric range.

     Creates a non-strict view of this numeric range.

     returns

       a non-strict view of this numeric range.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

193. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

194. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

195. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

196. #### def withFilter(p: (T) ⇒ Boolean): FilterMonadic[T, IndexedSeq[T]]

     Creates a non-strict filter of this numeric range.

     Creates a non-strict filter of this numeric range.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this numeric range which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

197. #### def zip[B](that: GenIterable[B]): NumericRange[(A, B)]

     [use case] Returns a numeric range formed from this numeric range and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a numeric range formed from this numeric range and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new numeric range containing pairs consisting of corresponding elements of this numeric range and `that`. The length of the returned collection is the minimum of the lengths of this numeric range and `that`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: T, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[IndexedSeq[T], (A1, B), That]): That

198. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): NumericRange[(A, B)]

     [use case] Returns a numeric range formed from this numeric range and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a numeric range formed from this numeric range and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this numeric range is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this numeric range.

     returns

       a new numeric range containing pairs consisting of corresponding elements of this numeric range and `that`. The length of the returned collection is the maximum of the lengths of this numeric range and `that`. If this numeric range is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this numeric range, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: T, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[IndexedSeq[T], (A1, B), That]): That

199. #### def zipWithIndex: NumericRange[(A, Int)]

     [use case] Zips this numeric range with its indices.

     [use case]

     Zips this numeric range with its indices.

     returns

       A new numeric range containing pairs consisting of all elements of this numeric range paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: T, That](implicit bf: CanBuildFrom[IndexedSeq[T], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

200. #### def →[B](y: B): (Exclusive[T], B)

     Implicit information
       This member is added by an implicit conversion from Exclusive[T] to ArrowAssoc[Exclusive[T]] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implict Value Members

1. #### def filter(p: (T) ⇒ Boolean): TraversableOnce[T]

   Implicit information
     This member is added by an implicit conversion from Exclusive[T] to MonadOps[T] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (exclusive: MonadOps[T]).filter(p)

   Definition Classes
     MonadOps

2. #### def flatMap[B](f: (T) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from Exclusive[T] to MonadOps[T] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (exclusive: MonadOps[T]).flatMap(f)

   Definition Classes
     MonadOps

3. #### def length(): Int

   Implicit information
     This member is added by an implicit conversion from Exclusive[T] to CharSequence performed by method seqToCharSequence in scala.Predef. This conversion will take place only if T is a subclass of Char (T <: Char).
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (exclusive: CharSequence).length()

   Definition Classes
     CharSequence

4. #### def map[B](f: (T) ⇒ B): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from Exclusive[T] to MonadOps[T] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (exclusive: MonadOps[T]).map(f)

   Definition Classes
     MonadOps

5. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Exclusive[T] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (exclusive: StringAdd).self

   Definition Classes
     StringAdd

6. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Exclusive[T] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (exclusive: StringFormat).self

   Definition Classes
     StringFormat

7. #### def withFilter(p: (T) ⇒ Boolean): Iterator[T]

   Implicit information
     This member is added by an implicit conversion from Exclusive[T] to MonadOps[T] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (exclusive: MonadOps[T]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: T](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: Exclusive[T]

   Implicit information
     This member is added by an implicit conversion from Exclusive[T] to ArrowAssoc[Exclusive[T]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (exclusive: ArrowAssoc[Exclusive[T]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: Exclusive[T]

   Implicit information
     This member is added by an implicit conversion from Exclusive[T] to Ensuring[Exclusive[T]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (exclusive: Ensuring[Exclusive[T]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from NumericRange[T]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from IndexedSeq[T]

### Inherited from collection.IndexedSeq[T]

### Inherited from IndexedSeqLike[T, IndexedSeq[T]]

### Inherited from Seq[T]

### Inherited from Iterable[T]

### Inherited from Traversable[T]

### Inherited from Immutable

### Inherited from AbstractSeq[T]

### Inherited from collection.Seq[T]

### Inherited from SeqLike[T, IndexedSeq[T]]

### Inherited from GenSeq[T]

### Inherited from GenSeqLike[T, IndexedSeq[T]]

### Inherited from PartialFunction[Int, T]

### Inherited from (Int) ⇒ T

### Inherited from AbstractIterable[T]

### Inherited from collection.Iterable[T]

### Inherited from IterableLike[T, IndexedSeq[T]]

### Inherited from Equals

### Inherited from GenIterable[T]

### Inherited from GenIterableLike[T, IndexedSeq[T]]

### Inherited from AbstractTraversable[T]

### Inherited from collection.Traversable[T]

### Inherited from GenTraversable[T]

### Inherited from GenericTraversableTemplate[T, IndexedSeq]

### Inherited from TraversableLike[T, IndexedSeq[T]]

### Inherited from GenTraversableLike[T, IndexedSeq[T]]

### Inherited from Parallelizable[T, ParSeq[T]]

### Inherited from TraversableOnce[T]

### Inherited from GenTraversableOnce[T]

### Inherited from FilterMonadic[T, IndexedSeq[T]]

### Inherited from HasNewBuilder[T, scala.collection.immutable.IndexedSeq[T] @scala.annotation.unchecked.uncheckedVariance]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion seqToCharSequence from Exclusive[T] to CharSequence

### Inherited by implicit conversion traversable2ops from Exclusive[T] to TraversableOps[T]

### Inherited by implicit conversion MonadOps from Exclusive[T] to MonadOps[T]

### Inherited by implicit conversion any2stringadd from Exclusive[T] to StringAdd

### Inherited by implicit conversion any2stringfmt from Exclusive[T] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Exclusive[T] to ArrowAssoc[Exclusive[T]]

### Inherited by implicit conversion any2Ensuring from Exclusive[T] to Ensuring[Exclusive[T]]

### Inherited by implicit conversion alternateImplicit from Exclusive[T] to ForceImplicitAmbiguity

### Ungrouped